// MaxNode.cpp: implementation of the CMaxNode class.
//
//////////////////////////////////////////////////////////////////////

#include "MaxKeyNode.h"

#include "..\Common\FileStream.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

#include "ExportClass.h"

CMaxKeyNode::CMaxKeyNode()
{
	m_nParent = UNDESIRABLE_NODE_MARKER;	
}

CMaxKeyNode::~CMaxKeyNode()
{
}

void CMaxKeyNode::Write(CFileStream *lpStream)
{
	CFileStream* pStream = lpStream;

	pStream->WriteString(m_pszName);

	pStream->Write(&m_nParent, sizeof(int), 1);
	pStream->Write(&m_kinematics, sizeof(KINEMATICS), 1);
}

